# @dotcom-tool-kit/babel

A plugin to run [Babel](https://babeljs.io/) to compile ES2015+ syntax.

## Installation

With Tool Kit [already set up](https://github.com/financial-times/dotcom-tool-kit#installing-and-using-tool-kit), install this plugin as a dev dependency:

```sh
npm install --save-dev @dotcom-tool-kit/jest
```

And add it to your repo's `.toolkitrc.yml`:

```yaml
plugins:
    - '@dotcom-tool-kit/jest'
```

<!-- begin autogenerated docs -->
## Tasks

### `Babel`

Compile files with Babel
#### Task options

| Property           | Description                                                                   | Type                            | Default         |
| :----------------- | :---------------------------------------------------------------------------- | :------------------------------ | :-------------- |
| `files`            | a glob pattern of files to build in your repo                                 | `string`                        | `'src/**/*.js'` |
| `outputPath`       | folder to output built files into                                             | `string`                        | `'lib'`         |
| `configFile`       | path to the Babel [config file](https://babeljs.io/docs/configuration) to use | `string`                        |                 |
| **`envName`** (\*) | the Babel [environment](https://babeljs.io/docs/options#env) to use           | `'production' \| 'development'` |                 |

_(\*) Required._
<!-- end autogenerated docs -->
